summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2010-07-20 14:07:12 (GMT)
committer Peter Korsgaard <jacmet@sunsite.dk>2010-07-20 14:07:12 (GMT)
commit7be1fd6c68f20322bb12eed1bfe15a3a42a0bcd5 (patch)
tree620c64a94473fa974cda1f2ea7c7c0a0fe7200cd
parent9de1b4c81f081a5d63a05ede3a9e829ed8c2e783 (diff)
downloadbuildroot-7be1fd6c68f20322bb12eed1bfe15a3a42a0bcd5.tar.gz
buildroot-7be1fd6c68f20322bb12eed1bfe15a3a42a0bcd5.tar.bz2
xserver: libpciaccess is not needed for tinyx
libpciaccess is only needed for the modular server, and as libpciaccess needs largefile support and tinyx doesn't, this dependency could cause a build failure. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rw-r--r--package/x11r7/xserver_xorg-server/Config.in2
-rw-r--r--package/x11r7/xserver_xorg-server/xserver_xorg-server.mk2
2 files changed, 2 insertions, 2 deletions
diff --git a/package/x11r7/xserver_xorg-server/Config.in b/package/x11r7/xserver_xorg-server/Config.in
index d574675..8a8d10f 100644
--- a/package/x11r7/xserver_xorg-server/Config.in
+++ b/package/x11r7/xserver_xorg-server/Config.in
@@ -7,7 +7,7 @@ config BR2_PACKAGE_XSERVER_XORG_SERVER
select BR2_PACKAGE_XFONT_FONT_ALIAS if !BR2_PACKAGE_XSERVER_XORG_SERVER_BUILTIN_FONTS
select BR2_PACKAGE_XFONT_FONT_MISC_MISC if !BR2_PACKAGE_XSERVER_XORG_SERVER_BUILTIN_FONTS
select BR2_PACKAGE_XFONT_FONT_CURSOR_MISC if !BR2_PACKAGE_XSERVER_XORG_SERVER_BUILTIN_FONTS
- select BR2_PACKAGE_XLIB_LIBPCIACCESS
+ select BR2_PACKAGE_XLIB_LIBPCIACCESS if BR2_PACKAGE_XSERVER_xorg
select BR2_PACKAGE_XLIB_LIBX11
select BR2_PACKAGE_XLIB_LIBXAU
select BR2_PACKAGE_XLIB_LIBXCURSOR
diff --git a/package/x11r7/xserver_xorg-server/xserver_xorg-server.mk b/package/x11r7/xserver_xorg-server/xserver_xorg-server.mk
index ba9a3b8..b0bc48b 100644
--- a/package/x11r7/xserver_xorg-server/xserver_xorg-server.mk
+++ b/package/x11r7/xserver_xorg-server/xserver_xorg-server.mk
@@ -16,7 +16,6 @@ XSERVER_XORG_SERVER_INSTALL_STAGING_OPT = DESTDIR=$(STAGING_DIR) install install
XSERVER_XORG_SERVER_DEPENDENCIES = \
xutil_util-macros \
- xlib_libpciaccess \
xlib_libXfont \
xlib_libX11 \
xlib_libXau \
@@ -66,6 +65,7 @@ XSERVER_XORG_SERVER_CONF_OPT = --disable-config-hal \
ifeq ($(BR2_PACKAGE_XSERVER_xorg),y)
XSERVER_XORG_SERVER_CONF_OPT += --enable-xorg --disable-glx
+XSERVER_XORG_SERVER_DEPENDENCIES += xlib_libpciaccess
else
XSERVER_XORG_SERVER_CONF_OPT += --disable-xorg
endif